HomeDocumentationAPI Endpoints
Log In
API Endpoints

Cheque OCR Journey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This journey enables businesses to perform OCR on the cancelled bank cheque of the user to perform bank account verification.

Journey Input Data

{
  "cheque_url":""
}

Journey Output Data

{
    "status": "SUCCESS",
    "message": "Success",
    "status_code": "success",
    "transaction_id": "",
    "journey_transaction_id": "",
    "journey_id": "",
    "data": {
        "insights": null,
        "keys": {
            "cancelled_cheque_ocr": [
                {
                    "account_number": "",
                    "ifsc_code": "",
                    "micr_code": "",
                    "cheque_leaflet_number": "",
                    "bank_name": ""
                }
            ]
        }
    }
}
📘

This journeys does not include any pre-configured Ownership or Fraud Checks. To add these checks, please contact your Account Manager.

Status Codes

📘

Journey ID will be shared as part of Onboarding

ScenarioHttp Status Codestatusstatus_codemessage
When request is successful.200SUCCESSsuccessRequest successful
Invalid image200FAILUREinvalid_inputInvalid Image, please upload a valid image
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials
Any unhandled error from Equal end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503
Both formats(Base 64 and URL) are entered400FAILUREinvalid_requestEnter only one Base 64 or URL
None of the inputs (Base 64 or URL) provided400FAILUREinvalid_requestOne of the inputs Base 64 or URL is required
Unsupported media types400FAILUREinvalid_requestInvalid file type, only PNG, JPG, and JPEG files are allowed
Image too large400FAILUREinvalid_requestFile size exceeds the maximum limit of 2MB
Invalid Base 64400FAILUREinvalid_requestInvalid base64 content
Invalid URL400FAILUREinvalid_requestInvalid URL

Key Descriptions

KeyDescription
transaction_idUnique identifier for the transaction.
journey_transaction_idUnique identifier for the journey transaction.
journey_idUnique identifier for the journey.
statusCurrent status of the transaction. Possible values: SUCCESS, FAILURE, IN_PROGRESS.
status_codeCode representing the specific status of the transaction. Refer to the documentation for possible values.
messageDetailed message about the transaction status. Refer to the documentation for specific messages.
decisionFinal decision based on all checks. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checksList of checks performed during the transaction.
account_numberBank Account Number present on the cheque.
ifsc_codeThe IFSC code present on the cheque image.
micrThe micr present on the cheque image.
cheque_leaflet numberThe cheque leaflet number present on the image.
bank_nameThe name of the bank present on the image.
statusStatus of the GSTIN number
decision (specific key)Decision for this specific key based on the checks performed. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checks (specific key)List of checks performed on this specific key.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various Verification Journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the PAN name, comparing the Aadhaar photo with a live image, and more.

string
required

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Cheque OCR journey will have input parameters like Cheque URL.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json